<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

// look in your $PATH_LOCALE/locale directory for available locales..
// Array examples which should work on all servers:
// 'en_US.UTF-8', 'en_US.UTF8', 'enu_usa'
// 'en_GB.UTF-8', 'en_GB.UTF8', 'eng_gb'
// 'en_AU.UTF-8', 'en_AU.UTF8', 'ena_au'

setlocale(LC_ALL, ['fr_FR.UTF-8', 'fr_FR.UTF8', 'fra_fra']);
const DATE_FORMAT_SHORT = '%d/%m/%Y';  // this is used for strftime()
const DATE_FORMAT_LONG = '%A %d %B, %Y'; // this is used for strftime()
const DATE_FORMAT = 'm/d/Y'; // this is used for date()
const PHP_DATE_TIME_FORMAT = 'd/m/Y H:i:s'; // this is used for date()
const DATE_TIME_FORMAT = DATE_FORMAT_SHORT . ' %H:%M:%S';
const JQUERY_DATEPICKER_I18N_CODE = 'fr'; // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
const JQUERY_DATEPICKER_FORMAT = 'dd/mm/yy'; // see http://docs.jquery.com/UI/Datepicker/formatDate

// Global entries for the <html> tag
const HTML_PARAMS = 'dir="ltr" lang="fr"';

// charset for web pages and emails
const CHARSET = 'utf-8';

// page title
const TITLE = 'CE Phoenix Administration Tool';

// header text in includes/header.php
const HEADER_TITLE_ONLINE_CATALOG = '<i class="fas fa-shopping-cart mr-1 text-primary"></i><span class="border-bottom border-primary">Votre Boutique</span>';
const HEADER_TITLE_PHOENIX_CLUB = '<span class="border-bottom border-primary">Club Phoenix</span>';
const HEADER_TITLE_PHOENIX_WIKI = '<i class="fas fa-school mr-1 text-primary"></i><span class="border-bottom border-primary">Mode d\'emploi</span>';
const HEADER_TITLE_CERTIFIED_ADDONS = '<span class="border-bottom border-primary">Contributions Certifiées & Services</span>';
const HEADER_TITLE_LOGOFF = '<i class="fas fa-lock mr-1"></i><span class="border-bottom border-danger">%s, déconnexion sécurisée</span>';

// images
const IMAGE_BACK = 'Retour';
const IMAGE_BACKUP = 'Sauvegarde';
const IMAGE_CANCEL = 'Annuler';
const IMAGE_COPY = 'Copier';
const IMAGE_COPY_TO = 'Copier vers';
const IMAGE_DETAILS = 'Détails';
const IMAGE_DELETE = 'Supprimer';
const IMAGE_EDIT = 'Editer';
const IMAGE_EMAIL = 'Email';
const IMAGE_EXPORT = 'Exporter';
const IMAGE_INSERT = 'Insérer';
const IMAGE_LOCK = 'Verrouiller';
const IMAGE_MODULE_INSTALL = 'Installer Module';
const IMAGE_MODULE_REMOVE = 'Supprimer Module';
const IMAGE_MOVE = 'Déplacer';
const IMAGE_NEW_CATEGORY = 'Nouvelle catégorie';
const IMAGE_NEW_COUNTRY = 'Nouveau pays';
const IMAGE_NEW_CURRENCY = 'Nouvelle devise';
const IMAGE_NEW_CUSTOMER_DATA_GROUP = 'Nouveau Groupe de Données Clients';
const IMAGE_NEW_LANGUAGE = 'Nouvelle Langue';
const IMAGE_NEW_NEWSLETTER = 'Nouveau bulletin d\'informations';
const IMAGE_NEW_PRODUCT = 'Nouveau Produit';
const IMAGE_NEW_TAX_CLASS = 'Nouvelle classe fiscale';
const IMAGE_NEW_TAX_RATE = 'Nouveau Taux de Taxe';
const IMAGE_NEW_ZONE = 'Nouvelle zone';
const IMAGE_ORDERS = 'Commandes';
const IMAGE_ORDERS_INVOICE = 'Facture';
const IMAGE_ORDERS_PACKINGSLIP = 'Bon de Livraison';
const IMAGE_PREVIEW = 'Prévisualiser';
const IMAGE_RESTORE = 'Restaurer';
const IMAGE_RESET = 'Réinitialiser';
const IMAGE_SAVE = 'Sauvegarder';
const IMAGE_SELECT = 'Sélectionner';
const IMAGE_SEND = 'Envoyer';
const IMAGE_SEND_EMAIL = 'Envoyer Email';
const IMAGE_UNLOCK = 'Déverrouiller';
const IMAGE_UPDATE = 'Mettre à jour';
const IMAGE_UPDATE_CURRENCIES = 'Mettre à jour le taux de change';
const IMAGE_UPLOAD = 'Transférer';

const ICON_FILE = 'Fichier';
const ICON_FILE_DOWNLOAD = 'Télécharger';

// constants for use in tep_prev_next_display function
const TEXT_RESULT_PAGE = 'Page %s de %d';
const TEXT_DISPLAY_NUMBER_OF_COUNTRIES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> pays)';
const TEXT_DISPLAY_NUMBER_OF_CUSTOMER_DATA_GROUPS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> groupes données clients)';
const TEXT_DISPLAY_NUMBER_OF_CUSTOMERS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> clients)';
const TEXT_DISPLAY_NUMBER_OF_CURRENCIES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> devises)';
const TEXT_DISPLAY_NUMBER_OF_ENTRIES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> entrées)';
const TEXT_DISPLAY_NUMBER_OF_LANGUAGES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> langues)';
const TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> fabricants)';
const TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> newsletters)';
const TEXT_DISPLAY_NUMBER_OF_ORDERS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> commandes)';
const TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> tatuts commandes)';
const TEXT_DISPLAY_NUMBER_OF_PRODUCTS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> products)';
const TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> produits en attente)';
const TEXT_DISPLAY_NUMBER_OF_REVIEWS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> avis des clients)';
const TEXT_DISPLAY_NUMBER_OF_SPECIALS = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> produits en promotion)';
const TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> classes fiscales)';
const TEXT_DISPLAY_NUMBER_OF_TAX_ZONES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> zones fiscales)';
const TEXT_DISPLAY_NUMBER_OF_TAX_RATES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> taux de TVA)';
const TEXT_DISPLAY_NUMBER_OF_ZONES = 'Affichant <strong>%d</strong> à <strong>%d</strong> (de <strong>%d</strong> zones)';

const SPLIT_PAGES = 'Sélectionner Page';

const TEXT_DEFAULT = 'défaut';
const TEXT_SET_DEFAULT = 'définir par défaut';

const TEXT_NONE = '--aucun--';
const TEXT_TOP = 'Haut';
const TEXT_ALL = 'Tout';

const ERROR_DESTINATION_DOES_NOT_EXIST = '<strong>Erreur :</strong> le chemin cible n\'existe pas.';
const ERROR_DESTINATION_NOT_WRITEABLE = '<strong>Erreur :</strong> Impossible d\'écrire dans le répertoire cible.';
const ERROR_FILE_NOT_SAVED = '<strong>Erreur :</strong> Fichier transféré non sauvegardé.';
const ERROR_FILETYPE_NOT_ALLOWED = '<strong>Erreur :</strong> Type de fichier transféré non-permis.';
const SUCCESS_FILE_SAVED_SUCCESSFULLY = '<strong>Réussite :</strong> Fichier transféré a été sauvegardé.';
const WARNING_NO_FILE_UPLOADED = '<strong>Warning :</strong> Fichier non transféré.';

// bootstrap helper
const MODULE_CONTENT_BOOTSTRAP_ROW_DESCRIPTION = '<p>La largeur du Contenu peut être 12 ou moins par colonne.</p><p>12/12 = 100% largeur, 6/12 = 50% largeur, 4/12 = 33% largeur.</p><p>Le total de toutes les colonnes dans un seul rang doit être 12 (ex:  3 blocs de 4 colonnes chacun, 1 bloc de 12 colonnes, etc).</p>';

// seo helper
const PLACEHOLDER_COMMA_SEPARATION = 'Séparer, Par, des, virgules';

// message for required inputs
const FORM_REQUIRED_INPUT = '<span class="form-control-feedback text-danger"><i class="fas fa-asterisk"></i></span>';

const TEXT_IMAGE_NON_EXISTENT = 'IMAGE INEXISTANTE';
