<?php
/*
  $Id$

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  $dir_fs_document_root = $_POST['DIR_FS_DOCUMENT_ROOT'];
  if ((substr($dir_fs_document_root, -1) != '\\') && (substr($dir_fs_document_root, -1) != '/')) {
    if (strrpos($dir_fs_document_root, '\\') !== false) {
      $dir_fs_document_root .= '\\';
    } else {
      $dir_fs_document_root .= '/';
    }
  }
?>

<div class="row">
  <div class="col-sm-9">
    <div class="alert alert-info" role="alert">
      <h1>Nouvelle Installation</h1>

      <p>Ce processus d'installation basé sur le web va installer et configurer OSCOM CE Phoenix pour tourner sur ce serveur.</p>
      <p>Veuillez suivre les instructions à l'écran qui vont vous amener à travers les serveur de la base de données, le serveur web, et les options de configuration de la boutique. Si vous avez besoin d'assistance à n'imprte quelle étape, veuillez consulter la documentation ou chercher de l'aide aux forums d'aide.</p>
    </div>
  </div>
  <div class="col-sm-3">
    <div class="card mb-2">
      <div class="card-body">
        <ol>
          <li class="text-muted">Serveur Base de Données</li>
          <li class="text-muted">Serveur Web</li>
          <li class="text-success"><strong>Réglages Boutique en Ligne</strong></li>
          <li class="text-muted">Terminé !</li>
        </ol>
      </div>
      <div class="card-footer">
        <div class="progress">
          <div class="progress-bar progress-bar-info progress-bar-striped" role="progressbar" aria-valuenow="75" aria-valuemin="0" aria-valuemax="100" style="width: 75%">75%</div>
        </div>
      </div>
    </div>    
  </div>
</div>

<div class="w-100"></div>

<div class="row">
  <div class="col-12 col-sm-9">
    <h4>Réglages Boutique en Ligne</h4>
    <p class="text-danger pull-right text-right"><i class="fas fa-asterisk text-danger"></i> Information Réquise</p>

    <form name="install" id="installForm" action="install.php?step=4" method="post" role="form">

      <div class="form-group row">
        <label for="storeName" class="col-form-label col-sm-3 text-left text-sm-right">Nom de la Boutique</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_STORE_NAME', NULL, 'required aria-required="true" id="storeName" placeholder="Nom de votre boutique"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">Le nom de la Boutique en ligne présenté au publique.</small>
        </div>
      </div>
      

      <div class="form-group row">
        <label for="ownerName" class="col-form-label col-sm-3 text-left text-sm-right">Nom du Propriétaire</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_STORE_OWNER_NAME', NULL, 'required aria-required="true" id="ownerName" placeholder="Votre Nom"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">Le nom du propriétaire de la boutique en ligne présenté au publique.</small>
        </div>
      </div>
      
      <div class="form-group row">
        <label for="ownerEmail" class="col-form-label col-sm-3 text-left text-sm-right">Adresse E-Mail du Propriétaire</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_STORE_OWNER_EMAIL_ADDRESS', NULL, 'required aria-required="true" id="ownerEmail" placeholder="vous@levotre.com"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">L'adresse e-mail address du propriétaire présenté au publique.</small>
        </div>
      </div>
      
      <div class="form-group row">
        <label for="adminUsername" class="col-form-label col-sm-3 text-left text-sm-right">Administrator Username</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_ADMINISTRATOR_USERNAME', NULL, 'required aria-required="true" id="adminUsername" placeholder="Nom Utilisateur"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">Le nom de l'administrateur pour l'outil d'administration.</small>
        </div>
      </div>
      
      <div class="form-group row">
        <label for="adminPassword" class="col-form-label col-sm-3 text-left text-sm-right">Mot de Passe Administrateur</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_ADMINISTRATOR_PASSWORD', NULL, 'required aria-required="true" id="adminPassword"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">Le mot de passe à utiliser pour le compte de l'administrateur.</small>
        </div>
      </div>

<?php
  if (osc_is_writable($dir_fs_document_root) && osc_is_writable($dir_fs_document_root . 'admin')) {
?>
      <div class="form-group row">
        <label for="adminDir" class="col-form-label col-sm-3 text-left text-sm-right">Nom du Répertoire Administration</label>
        <div class="col-sm-9">
          <?php echo osc_draw_input_field('CFG_ADMIN_DIRECTORY', 'admin', 'required aria-required="true" id="adminDir"'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">Ceci est le répertoire où la partie administration sera installée. Vous devrez modifier ceci pour les raisons de sécurité.</small>
        </div>
      </div>
<?php
  }

?>
      <div class="form-group row">
        <label for="Zulu" class="col-form-label col-sm-3 text-left text-sm-right">Zone Horaire</label>
        <div class="col-sm-9">
          <?php echo osc_draw_time_zone_select_menu('CFG_TIME_ZONE'); ?>
          <i class="fas fa-asterisk form-control-feedback text-danger"></i>
          <small class="form-text text-muted">La zone horaire pour déterminer la date et l'heure.</small>
        </div>
      </div>

      <p><?php echo osc_draw_button('Continuer à Etape 4', '<i class="fas fa-angle-right mr-2"></i>', null, 'primary', null, 'btn-success btn-block'); ?></p>

      <?php
      foreach ( $_POST as $key => $value ) {
        if (($key != 'x') && ($key != 'y')) {
          echo osc_draw_hidden_field($key, $value);
        }
      }
      ?>

    </form>
  </div>
  <div class="col-12 col-sm-3">
    <h4>Etape 3</h4>
    <div class="card mb-2 card-body">      
      <p>Ici vous pouvez définir le nom de votre boutique en ligne et l'information de contact du propriétaire.</p>
      <p>Le nom d'utilisateur de l'administration et le mot de passe sont utiliser pour se connecter à la partie d'administration protégée.</p>
    </div>
  </div>  
</div>
